------------------------------------------------------------------------------------
--Name:  	juqing8
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-20
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(273, 185)
CppScriptMgr:SetViewScale(350)
local Player_1 = CppScriptMgr:AddSimplePlayer(1100180, 275, 177, "Butler", 0, 0)
Player_1:WalkTo(275, 184)
Player_1:SetCtrlMapView(1)
Player_1:Say("Hey, how is there an injured girl here?", 2000)
Player_1:SetDir(0)
local npc_0 = CppScriptMgr:AddSimplePlayer(1100191, 273, 185, "Jeanne", 0, 0)
npc_0:SetAction(271)
npc_0:SetFrameInterval(10000)
CppScriptMgr:WaitMilSec(3960)
Player_1:SetDir(2)
CppScriptMgr:WaitMilSec(160)
Player_1:SetAction(220)
CppScriptMgr:WaitMilSec(240)
Player_1:Say("It looks like she`s only been scared a bit. Well, let`s take her back to the castle for now.", 2000)
CppScriptMgr:WaitMilSec(2600)
local effect_0 = CppScriptMgr:AddEffect("cyclonexian", 275, 187, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1030)
CppScriptMgr:SetViewPosByCell(87, 119)
Player_1:SetDir(5)
Player_1:SetPos(85, 121)
npc_0:SetDir(1)
npc_0:SetPos(87, 119)
npc_0:SetAction(101)
CppScriptMgr:WaitMilSec(510)
Player_1:Say("This is our castle, little girl.", 2000)
Player_1:SetAction(190)
CppScriptMgr:WaitMilSec(1980)
Player_1:Say("You are safe here. No one could hurt you.", 2000)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(2470)
npc_0:SetAction(190)
npc_0:Say("Thanks. I wish I could repay your kindness!", 1000)
CppScriptMgr:WaitMilSec(990)
npc_0:SetAction(101)
npc_0:Say("Please let me stay here to serve you as a maid!", 2000)
CppScriptMgr:WaitMilSec(2500)
Player_1:Say("Well, okay. As the anniversary of the Auter family is coming, we need some hands.", 2000)
Player_1:SetAction(103)
CppScriptMgr:WaitMilSec(1990)
npc_0:Say("Thank you so much!", 1500)
npc_0:SetAction(101)
CppScriptMgr:WaitMilSec(2440)